%h3.page-title
  = t("projects_section.issues.issue") + " ##{@issue.iid}"

  %span.pull-right.issue-btn-group
    - if can?(current_user, :write_issue, @project)
      = link_to new_project_issue_path(@project), class: "btn btn-grouped", title: t("projects_section.issues.new_issue"), id: "new_issue_link" do
        %i.icon-plus
        = t("projects_section.issues.new_issue")
    - if can?(current_user, :modify_issue, @issue)
      - if @issue.closed?
        = link_to t("projects_section.issues.reopen"), project_issue_path(@project, @issue, issue: {state_event: :reopen }, status_only: true), method: :put,  class: "btn btn-grouped btn-reopen"
      - else
        = link_to t("projects_section.issues.close"), project_issue_path(@project, @issue, issue: {state_event: :close }, status_only: true), method: :put, class: "btn btn-grouped btn-close", title: t("projects_section.issues.close_issue")

      = link_to edit_project_issue_path(@project, @issue), class: "btn btn-grouped" do
        %i.icon-edit
        = t("projects_section.issues.edit")

.clearfix
  .votes-holder
    #votes= render 'votes/votes_block', votable: @issue

  .back-link
    = link_to project_issues_path(@project) do
      &larr;
      = t("projects_section.issues.to_issues_list")
    %span.milestone-nav-link
      - if @issue.milestone
        |
        %span.light
          = t("projects_section.issues.milestone")
        = link_to project_milestone_path(@project, @issue.milestone) do
          = @issue.milestone.title

.issue-box{ class: issue_box_class(@issue) }
  .state.clearfix
    .state-label
      - if @issue.closed?
        = t("projects_section.issues.closed_s")
      - else
        = t("projects_section.issues.open_s")

    .creator
      = t("projects_section.issues.created_by")
      = link_to_member(@project, @issue.author)
      = time_ago_with_tooltip(@issue.created_at)

  %h4.title
    = gfm escape_once(@issue.title)

  - if @issue.description.present?
    .description
      .wiki
        = preserve do
          = markdown @issue.description
  .context
    %cite.cgray
      = render partial: 'issue_context', locals: { issue: @issue }


- content_for :note_actions do
  - if can?(current_user, :modify_issue, @issue)
    - if @issue.closed?
      = link_to t("projects_section.issues.reopen_issue"), project_issue_path(@project, @issue, issue: {state_event: :reopen }, status_only: true), method: :put,  class: "btn btn-grouped btn-reopen"
    - else
      = link_to t("projects_section.issues.close_issue"), project_issue_path(@project, @issue, issue: {state_event: :close }, status_only: true), method: :put, class: "btn btn-grouped btn-close", title: t("projects_section.issues.close_issue")

.participants
  %cite.cgray 
    = t("projects_section.issues.participants", count: @issue.participants.count)
  - @issue.participants.each do |participant|
    = link_to_member(@project, participant, name: false, size: 24)

  .issue-show-labels.pull-right
    - @issue.labels.each do |label|
      %span{class: "label #{label_css_class(label.name)}"}
        %i.icon-tag
        = label.name
      &nbsp;

.voting_notes#notes= render "projects/notes/notes_with_form"
